org.apache.poi.hwmf.record

## Enum HwmfPenStyle.HwmfLineDash

- java.lang.Object
- - java.lang.Enum<HwmfPenStyle.HwmfLineDash>
  - - org.apache.poi.hwmf.record.HwmfPenStyle.HwmfLineDash

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HwmfPenStyle.HwmfLineDash>
  Enclosing class:
    HwmfPenStyle

      public static enum HwmfPenStyle.HwmfLineDash
      extends java.lang.Enum<HwmfPenStyle.HwmfLineDash>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DASH` The pen is dashed.
    `DASHDOT` The pen has alternating dashes and dots.
    `DASHDOTDOT` The pen has dashes and double dots.
    `DOT` The pen is dotted.
    `INSIDEFRAME` The pen is solid.
    `NULL` The pen is invisible.
    `SOLID` The pen is solid.
    `USERSTYLE` The pen uses a styling array supplied by the user.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `float[]` | `dashes`
    `int` | `wmfFlag`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HwmfPenStyle.HwmfLineDash` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HwmfPenStyle.HwmfLineDash[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SOLID

          public static final HwmfPenStyle.HwmfLineDash SOLID

      The pen is solid.

    - #### DASH

          public static final HwmfPenStyle.HwmfLineDash DASH

      The pen is dashed. (-----)

    - #### DOT

          public static final HwmfPenStyle.HwmfLineDash DOT

      The pen is dotted. (.....)

    - #### DASHDOT

          public static final HwmfPenStyle.HwmfLineDash DASHDOT

      The pen has alternating dashes and dots. (_._._._)

    - #### DASHDOTDOT

          public static final HwmfPenStyle.HwmfLineDash DASHDOTDOT

      The pen has dashes and double dots. (_.._.._)

    - #### NULL

          public static final HwmfPenStyle.HwmfLineDash NULL

      The pen is invisible.

    - #### INSIDEFRAME

          public static final HwmfPenStyle.HwmfLineDash INSIDEFRAME

      The pen is solid. When this pen is used in any drawing record that takes a bounding rectangle, the dimensions of the figure are shrunk so that it fits entirely in the bounding rectangle, taking into account the width of the pen.

    - #### USERSTYLE

          public static final HwmfPenStyle.HwmfLineDash USERSTYLE

      The pen uses a styling array supplied by the user. (this is currently not supported and drawn as solid ... no idea where the user styling is supposed to come from ...)

  - ### Field Detail

    - #### wmfFlag

          public final int wmfFlag

    - #### dashes

          public final float[] dashes

  - ### Method Detail

    - #### values

          public static HwmfPenStyle.HwmfLineDash[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HwmfPenStyle.HwmfLineDash c : HwmfPenStyle.HwmfLineDash.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HwmfPenStyle.HwmfLineDash valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.